Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn.nonmanaged
Class LDAPConnectionTest

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.nonmanaged.LDAPConnectionTest

    public class LDAPConnectionTest

extends java.lang.Object

Testign a NonManaged LDAP eway...

Author:
  Asha Balasubramanyan

Field Summary
`static java.lang.String` | `dn`
`static java.lang.String` | `TOP_CONTEXT`

Constructor Summary
`LDAPConnectionTest()`

Method Summary
`void` | `doSearch()` Searches for a context as defined at the top of the method.
`protected void` | `initialize()` Method performs initialization
`protected void` | `initialize(java.lang.String ConfigFromConfig, java.lang.String template, java.lang.String instance)` Method performs initialization
`static void` | `main(java.lang.String[] args)`
`static java.lang.String` | `readFileToString(java.io.File file)` Method performs a File Object to string conversion
`protected SearchResults` | `search(java.lang.String contextToSearch, java.lang.String filter)` Method to perform search operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_CONTEXT

    public static final java.lang.String TOP_CONTEXT

See Also:
  Constant Field Values

### dn

    public static final java.lang.String dn

See Also:
  Constant Field Values

Constructor Detail

### LDAPConnectionTest

    public LDAPConnectionTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### initialize

    protected void initialize()
                       throws java.lang.Exception

  Method performs initialization

  Throws:
    `java.lang.Exception`

### initialize

    protected void initialize(java.lang.String ConfigFromConfig,
                              java.lang.String template,
                              java.lang.String instance)

  Method performs initialization

  Parameters:
    `ConfigFromConfig` -
    `template` -
    `instance` -

### readFileToString

    public static java.lang.String readFileToString(java.io.File file)
                                             throws java.io.IOException

  Method performs a File Object to string conversion

  Parameters:
    `file` -
  Returns:
  Throws:
    `java.io.IOException`

### doSearch

    public void doSearch()

  Searches for a context as defined at the top of the method.

### search

    protected SearchResults search(java.lang.String contextToSearch,
                                   java.lang.String filter)
                            throws LDAPApplicationException

  Method to perform search operation

  Parameters:
    `contextToSearch` -
    `filter` -
  Returns:
  Throws:
    `LDAPApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD